<div class="items index">
<h2>記事構成リスト</h2>
<?php echo $form->create('Item', array('action' => 'admin_index')); ?>
<table id="itemsListTable">
<tr>
  <th><?php echo 'No.';?></th>
  <th><?php echo '項目名';?></th>
  <th><?php echo '項目タイプ';?></th>
  <th><?php echo '必須';?></th>
  <th><?php echo '表示';?></th>
  <th><?php echo '検索';?></th>
  <th><?php echo 'ステータス';?></th>
  <th><?php echo '並び順';?></th>
  <th class="actions"><?php echo '操作';?></th>
</tr>
<?php
  $i = 0;
  foreach ($items as $item) {
    $class = null;
    if ($i++ % 2 == 0) {
      $class = ' class="altrow"';
    }
?>
<tr<?php echo $class;?>>
  <td><?php echo $i; ?></td>
  <td><?php echo $item['Item']['title']; ?></td>
  <td><?php echo $item['ItemType']['title']; ?></td>
  <td><?php echo ($item['Item']['required'] > 0 ? '○' : '－'); ?></td>
  <td><?php echo ($item['Item']['visible'] > 0 ? '表示' : '非表示'); ?></td>
  <td><?php echo ($item['Item']['search'] > 0 ? '対象' : '対象外'); ?></td>
  <td><?php echo ($item['Item']['status'] > 0 ? '有効' : '無効'); ?></td>
  <td><?php echo $form->input('Item.' . $item['Item']['id'] . '.sort_order', array('label' => false, 'value' => $item['Item']['sort_order'], 'size' => '3')); ?></td>
  <td class="actions">
<?php echo '&nbsp;' . $html->link('編集', array('action'=>'admin_edit', $item['Item']['id'])) . '&nbsp;'; ?>
<?php echo '&nbsp;' . $html->link('削除', array('action'=>'admin_delete', $item['Item']['id']), null, sprintf('%sの項目および記事内容を削除してもよろしいですか？', $item['Item']['title'])) . '&nbsp;'; ?>
</td>
</tr>
<?php
  }
?>
</table>
<?php echo $form->end('並び順の更新');?>
</div>
<div class="actions">
  <ul>
    <li><?php echo $html->link('記事項目の追加', array('action'=>'admin_add')); ?></li>
  </ul>
</div>
